## scala-mode-el 1.1.0

=== debian/changelog ===
scala-mode-el (1:1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Drop myself from Uploaders.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 13 Feb 2022 12:39:40 -0500

scala-mode-el (1:1.1.0-2) unstable; urgency=medium

  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 13 Dec 2020 22:00:39 -0500

scala-mode-el (1:1.1.0-1) unstable; urgency=medium

  [ Sławomir Wójcik ]
  * Adopt package; this package is now maintained by the Debian Emacsen team.
    (Closes: #766441)
  * control: updated maintainer/uploaders, long description and dependencies
  * Updated rules to use dh_elpa, added necessary elpa and elpa-test files
  * Added watch file
  * Updated docs file
  * Added source format
  * Added NEWS file
  * Removed emacsen-install, emacsen-remove and emacsen-startup files which
    were no longer necessary due to migration to dh_elpa

  [ Sławomir Wójcik and Nicholas D Steeves]
  * New upstream version 1.1.0.
  * Migrate to debhelper-compat 13.
  * Update copyright file to reflect new upstream source, and migrate to a
    machine-readable copyright file.
  * Add gbp.conf.
  * Introduce elpa-scala-mode; scala-mode-el is now a dummy transitional
    package.
  * Set Vcs URLs to new Debian Emacsen Team location.
  * Declare Standards-Version 4.5.1.

  [ Nicholas D Steeves ]
  * Add Breaks, Replaces, and Provides to elpa-scala-mode to ensure smooth
    upgrades.
  * Add epoch to version, so that apt will upgrade existing users from
    20111005-2.1 to 1.1.0-1.
  * Declare Rules-Requires-Root: no.
  * Declare dummy transitional package scala-mode-el as Section: oldlibs so
    that deborphan will suggest its removal.
  * elpa-test: Fix autopkgtests by setting autopkgtest_keep, thus retaining
    the files that contain scala-mode's tests.
  * Add myself to Uploaders.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 06 Dec 2020 15:57:01 -0500

scala-mode-el (20111005-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch build depends from "emacs23 | emacs" to emacs.
    Thanks to Gabriele Giacone. (Closes: #754025)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 13 Sep 2014 00:01:41 +0200

scala-mode-el (20111005-2) unstable; urgency=low

  * change dependency from emacsen to emacs (Closes: 644784)

 -- Mike O'Connor <stew@debian.org>  Fri, 16 Dec 2011 12:23:00 -0500

scala-mode-el (20111005-1) unstable; urgency=low

  * Initial release.

 -- Mike O'Connor <stew@debian.org>  Wed, 05 Oct 2011 23:15:06 -0400
