=== debian/control ===
Source: scala-mode-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sławomir Wójcik <valdaer@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/scala-mode-el
Vcs-Git: https://salsa.debian.org/emacsen-team/scala-mode-el.git
Homepage: https://github.com/hvesalai/emacs-scala-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-scala-mode
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Breaks: scala-mode-el (<< 1:1.1.0-1~)
Replaces: scala-mode-el (<< 1:1.1.0-1~)
Provides: scala-mode-el
Description: Emacs major mode for editing scala source code
 scala-mode provides syntax highlighting, indentation, comments/multi-line
 strings, motion commands for scala source code inside emacs. IDE like features
 are in lsp-mode which works in conjunction with this mode and has support for
 scala Metals language server.

Package: scala-mode-el
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
         elpa-scala-mode
Description: transitional dummy package, scala-mode-el to elpa-scala-mode
 This dummy package may be safely removed.
