=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/emacs-scala-mode-$1\.tar\.gz/ \
  https://github.com/hvesalai/emacs-scala-mode/tags .*/v?(\d\S+)\.tar\.gz
