## scala-mode-el 1.1.0+git20240729.bd0638c

=== debian/changelog ===
scala-mode-el (1:1.1.0+git20240729.bd0638c-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Xiyue Deng ]
  * Sync to latest upstream head (bd0638c) which adds support for scala
    3 syntax.
  * Modernize d/watch using substitute strings for robust version
    matching.
  * Add more metadata in d/upstream/metadata.
  * Add myself to uploader list.
  * Update Standards-Version to 4.7.0; no change needed.
  * Drop emacs version from oldoldstable in Recommends.

  [ Nicholas D Steeves and Xiyue Deng ]
  * Add Upstream-Contact.

  [ Jeremy Sowden ]
  * d/rules: pass upstream version to dh_auto_clean to avoid the need to
    use Emacs to retrieve it from the missing scala-mode-pkg.el file.
    (Closes: #1052917)
  * d/rules: enable `DH_VERBOSE` unless "terse" build-option is in use
  * d/.gitignore: ignore packaging and editor artefacts

 -- Jeremy Sowden <azazel@debian.org>  Fri, 27 Sep 2024 18:32:02 +0100

scala-mode-el (1:1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:12:38 +0900
