=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sławomir Wójcik <valdaer@gmail.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/scala-mode-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/scala-mode-el.git
 Homepage: https://github.com/hvesalai/emacs-scala-mode
@@ -16,7 +17,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Breaks: scala-mode-el (<< 1:1.1.0-1~)
 Replaces: scala-mode-el (<< 1:1.1.0-1~)
