## scala-mode-el 1.1.1~git20241231.661337d

=== debian/changelog ===
scala-mode-el (1:1.1.1~git20241231.661337d-2) unstable; urgency=medium

  * Drop transitional package scala-mode-el (Closes: #1038309)
    - This has existed for the past 2 stable releases.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:37:30 -0800

scala-mode-el (1:1.1.1~git20241231.661337d-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (661337d)
  * Add Salsa CI configuration
  * Drop "autopkgtest_keep = test/*" from d/elpa-test which is now the
    default
  * Update d/watch to track snapshots
  * Update upstream-tag style in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 05 Jan 2025 00:22:14 -0800
