=== debian/control ===
--- 
+++ 
@@ -27,11 +27,3 @@
  strings, motion commands for scala source code inside emacs. IDE like features
  are in lsp-mode which works in conjunction with this mode and has support for
  scala Metals language server.
-
-Package: scala-mode-el
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends},
-         elpa-scala-mode
-Description: transitional dummy package, scala-mode-el to elpa-scala-mode
- This dummy package may be safely removed.
