=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif

include /usr/share/dpkg/pkg-info.mk

# Drop potential incremental git snapshot info to get the base upstream version.
BASE_UPSTREAM_VERSION = $(word 1,$(subst +git, ,$(DEB_VERSION_UPSTREAM)))

%:
	dh $@ --with elpa

override_dh_auto_clean:
	dh_auto_clean -- ELISP_COMMAND=: VERSION=$(BASE_UPSTREAM_VERSION)
