## scala-mode-el 1.1.1~git20260118.50bcafa

=== debian/changelog ===
scala-mode-el (1:1.1.1~git20260118.50bcafa-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (50bcafa)
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Requires-Root: no'; now default
  * Drop `Priority: optional'; now default
  * Migrate d/watch to version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 24 Jan 2026 19:44:29 -0800
