=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: scala-mode-el
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sławomir Wójcik <valdaer@gmail.com>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/emacsen-team/scala-mode-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/scala-mode-el.git
 Homepage: https://github.com/hvesalai/emacs-scala-mode
