=== debian/watch ===
Version: 5

Source: https://github.com/hvesalai/emacs-scala-mode
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.1.1~git%cd.%h
